#
# Cookbook:: apache2
# Definition:: apache_mod
#
# Copyright:: 2008-2013, Chef Software, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

define :apache_mod do
  include_recipe 'apache2::default'

  template "#{node['apache']['dir']}/mods-available/#{params[:name]}.conf" do
    source "mods/#{params[:name]}.conf.erb"
    mode '0644'
    notifies :reload, 'service[apache2]', :delayed
  end
end
