#
# Cookbook:: kosmos-bitcoin
# Recipe:: aws-client
#

package "awscli"

directory "/root/.aws"

credentials = Chef::EncryptedDataBagItem.load('credentials', 'backup')

file "/root/.aws/config" do
  mode "600"
  content lazy { <<-EOF
[default]
region = #{credentials["s3_region"]}
  EOF
  }
end

file "/root/.aws/credentials" do
  mode "600"
  content lazy { <<-EOF
[default]
aws_access_key_id = #{credentials["s3_access_key_id"]}
aws_secret_access_key = #{credentials["s3_secret_access_key"]}
  EOF
  }
end
